<?php

namespace Tests\App\Models;

use Tests\Support\ModelCrudTestCase;
use App\Models\SettingsModel;

class SettingsModelTest extends ModelCrudTestCase
{

    public function testCanInsertAndRetrieve()
    {
        $this->assertModelCanInsertAndRetrieve(SettingsModel::class);
    }

    public function testCanUpdate()
    {
        $this->assertModelCanUpdate(SettingsModel::class);
    }

    public function testCanDelete()
    {
        $this->assertModelCanDelete(SettingsModel::class);
    }
}
